Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.vocabulary
Class rdfschema

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.vocabulary.rdfschema

public class rdfschema
extends Object

rdfschema.java - Containing the parameters for the RDF Schema namespaces.

Field Summary
`static ArrayList` | `all` The set of all resources.
`static String` | `Class` Element from the RDF Schema namespace: NS+"Class"
`static ArrayList` | `Classes` The set of Classes from the RDF Schema namespace.
`static String` | `comment` Element from the RDF Schema namespace: NS+"comment"
`static String` | `ConstraintProperty` Element from the RDF Schema namespace: NS+"ConstraintProperty"
`static String` | `ConstraintResource` Element from the RDF Schema namespace: NS+"ConstraintResource"
`static String` | `Container` Element from the RDF Schema namespace: NS+"Container"
`static String` | `ContainerMembershipProperty` Element from the RDF Schema namespace: NS+"ContainerMembershipProperty"
`static String` | `Datatype`
`static String` | `domain` Element from the RDF Schema namespace: NS+"domain"
`static String` | `genID1` Since the w3c appended a description to the schema ns a genID:1 will be generated.
`static String` | `isDefinedBy` Element from the RDF Schema namespace: NS+"isDefinedBy"
`static String` | `label` Element from the RDF Schema namespace: NS+"label"
`static String` | `Literal` Element from the RDF Schema namespace: NS+"Literal"
`static String` | `member` Element from the RDF Schema namespace: NS+"member"
`static String` | `NS` The RDF Schema namespace URL: "http://www.w3.org/2000/01/rdf-schema#"
`static ArrayList` | `Properties` The set of Properties from the RDF Schema namespace.
`static String` | `range` Element from the RDF Schema namespace: NS+"range"
`static String` | `Resource` Element from the RDF Schema namespace: NS+"Resource"
`static String` | `seeAlso` Element from the RDF Schema namespace: NS+"seeAlso"
`static String` | `subClassOf` Element from the RDF Schema namespace: NS+"subClassOf"
`static String` | `subPropertyOf` Element from the RDF Schema namespace: NS+"subPropertyOf"
`static String` | `XMLRep`

Constructor Summary
`rdfschema()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The RDF Schema namespace URL: "http://www.w3.org/2000/01/rdf-schema#"

  See Also:
    Constant Field Values

### Resource

    public static final String Resource

  Element from the RDF Schema namespace: NS+"Resource"

  See Also:
    Constant Field Values

### comment

    public static final String comment

  Element from the RDF Schema namespace: NS+"comment"

  See Also:
    Constant Field Values

### label

    public static final String label

  Element from the RDF Schema namespace: NS+"label"

  See Also:
    Constant Field Values

### Class

    public static final String Class

  Element from the RDF Schema namespace: NS+"Class"

  See Also:
    Constant Field Values

### subClassOf

    public static final String subClassOf

  Element from the RDF Schema namespace: NS+"subClassOf"

  See Also:
    Constant Field Values

### subPropertyOf

    public static final String subPropertyOf

  Element from the RDF Schema namespace: NS+"subPropertyOf"

  See Also:
    Constant Field Values

### seeAlso

    public static final String seeAlso

  Element from the RDF Schema namespace: NS+"seeAlso"

  See Also:
    Constant Field Values

### isDefinedBy

    public static final String isDefinedBy

  Element from the RDF Schema namespace: NS+"isDefinedBy"

  See Also:
    Constant Field Values

### ConstraintResource

    public static final String ConstraintResource

  Element from the RDF Schema namespace: NS+"ConstraintResource"

  See Also:
    Constant Field Values

### ConstraintProperty

    public static final String ConstraintProperty

  Element from the RDF Schema namespace: NS+"ConstraintProperty"

  See Also:
    Constant Field Values

### domain

    public static final String domain

  Element from the RDF Schema namespace: NS+"domain"

  See Also:
    Constant Field Values

### range

    public static final String range

  Element from the RDF Schema namespace: NS+"range"

  See Also:
    Constant Field Values

### Literal

    public static final String Literal

  Element from the RDF Schema namespace: NS+"Literal"

  See Also:
    Constant Field Values

### Container

    public static final String Container

  Element from the RDF Schema namespace: NS+"Container"

  See Also:
    Constant Field Values

### ContainerMembershipProperty

    public static final String ContainerMembershipProperty

  Element from the RDF Schema namespace: NS+"ContainerMembershipProperty"

  See Also:
    Constant Field Values

### member

    public static final String member

  Element from the RDF Schema namespace: NS+"member"

  See Also:
    Constant Field Values

### Datatype

    public static final String Datatype

See Also:
  Constant Field Values

### genID1

    public static final String genID1

  Since the w3c appended a description to the schema ns a genID:1 will be generated.

  See Also:
    Constant Field Values

### Classes

    public static ArrayList Classes

  The set of Classes from the RDF Schema namespace.

### Properties

    public static ArrayList Properties

  The set of Properties from the RDF Schema namespace.

### all

    public static ArrayList all

  The set of all resources.

### XMLRep

    public static final String XMLRep

See Also:
  Constant Field Values

Constructor Detail

### rdfschema

    public rdfschema()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD